@import url('https://fonts.googleapis.com/css2?family=Chakra+Petch:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

@font-face {
  font-family: "Futura";
  src: url(../../asset/fonts/futura_medium/FuturaStdMedium.ttf);
}

@font-face {
  font-family: "Candy";
  src: url(../../asset/fonts/FC_Candy/FC_Candy.ttf);
}

@font-face {
  font-family: "Lamoon";
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Regular.ttf);
}

@font-face {
  font-family: "Lamoon";
  font-weight: bold;
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Bold.ttf);
}

@font-face {
  font-family: "Lamoon";
  font-weight: bold;
  font-style: italic;
  src: url(../../asset/fonts/FC_Lamoon/FC_Lamoon_Bold_Italic.ttf);
}

body {
  margin: 0;
  padding: 0;
  background: black;
  height: 100vh;
  position: relative;
}

#video-section {
  position: fixed;
  height: 100vh;
  /* width: 100%; */
  z-index: 0;
}

.videoWrapper {
  position: relative;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
}

.videoWrapper #player {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100vw !important;
  height: 100vh !important;
  transform: translate(-50%, -50%);
}

@media (min-aspect-ratio: 16/9) {
  .videoWrapper #player {
    /* height = 100 * (9 / 16) = 56.25 */
    height: 56.25vw;
  }
}

@media (max-aspect-ratio: 16/9) {
  .videoWrapper #player {
    /* width = 100 / (9 / 16) = 177.777777 */
    width: 177.78vh;
  }
}

#bottom-content {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  /* padding: 3px 5px; */
}

#nav-top {
  width: 100%;
  color: white;
  padding: 5px;
}

#chat-input {
  width: 100px;
  transition: .25s;
  background: silver;
  margin-right: auto;
}

#chat-input:focus {
  width: 100%;
  background: white;
}

#chat-send-btn {
  opacity: 0;
}

#chat-input:focus+#chat-send-btn {
  opacity: 1;
}

.icon-avatar {
  cursor: pointer;
}

.icon-avatar>img {
  border: 3px groove rgba(0, 255, 0, .8);
  border-radius: 50%;
  height: 42px;
  width: 42px;
}

#area-chat {
  display: block;
  gap: 5px;
  padding: 5px;
  padding-top: 100px;
  opacity: .8;
  max-height: 35vh;
  overflow-y: auto;
  -webkit-mask-image: linear-gradient(to top, black 50%, transparent 100%);
  mask-image: linear-gradient(to top, black 50%, transparent 100%);
  transition: .4s all;
}

#area-chat.hide {
  display: none;
}

.chat-row {
  display: flex;
  gap: .5rem;
  margin-top: 7px;
}

.chat-ico-avatar {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  overflow: hidden;
}

.chat-ico-avatar>img {
  width: 100%;
  height: 100%;
}

.chat-dialog-box {
  position: relative;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 5px 8px;
  border-radius: 0 7px 7px 7px;
  max-width: 50vw;
  overflow-wrap: break-word;
  word-wrap: break-word;
  color: white;
}

.chat-dialog-box:after {
  content: " ";
  position: absolute;
  left: -7px;
  top: 0;
  border-right: 7px solid rgba(0, 0, 0, 0.5);
  border-left: none;
  border-bottom: 7px solid transparent;
}

#btn-row {
  display: none;
  position: relative;
  padding: 5px;
}

#btn-right-content {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
  position: absolute;
  bottom: 0;
  right: 0;
  transition: .3s;
  z-index: 99;
  padding: 0 5px 7px 0;
  gap: 5px;
}

.btn-toggle-chat-area {
  border-radius: 50%;
  height: 35px;
  width: 35px;
  background-image: url("../assets/images/onfleek/btn-normal.png");
  background-position: center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  color: #43BFC1;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: .3s;
}

.btn-toggle-chat-area.active {
  color: white;
  background-image: url("../assets/images/onfleek/btn-hover.png");
}

.content-tab {
  height: 0;
  max-height: 30vh;
  background-color: rgba(0, 0, 0, 0.6);
  border-radius: 20px 20px 0 0;
  transition: height .6s ease;
  overflow: hidden;
  color: white;
  font-family: "Lamoon";
}

.content-tab.active {
  height: 100vh;
}

/* #play-tab.content-tab.active {
    height: 100vh;
  } */
.btn-tap {
  position: relative;
  height: 35px;
  width: 35px;
  cursor: pointer;
}

.btn-tap>img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: opacity .3s ease;
}

.btn-tap>img:nth-child(2) {
  opacity: 0;
}

.btn-tap.selected>img:nth-child(2) {
  opacity: 1;
}

.btn-tap>img:last-child {
  top: 50%;
  left: 50%;
  width: 90%;
  height: 90%;
  transform: translate(-50%, -50%);
}

#btn-balloon>img {
  transition: unset;
}

#btn-balloon>img:nth-child(2) {
  opacity: .6;
}

#btn-balloon.ready>img:nth-child(2) {
  opacity: 0;
  transition: opacity 1s;
}

#btn-balloon>img:last-child {
  transform: translate(-50%, -50%) scale(.1);
}

#btn-balloon.ready>img:last-child {
  transform: translate(-50%, -50%) scale(1);
  transition: transform 1s ease-in;
}

.nav-info {
  display: flex;
  align-items: center;
  position: relative;
}

.nav-info>.drop-bg {
  position: absolute;
  right: -1rem;
  z-index: -1;
  background-color: rgba(0, 0, 0, 0.6);
  height: 70%;
  width: calc(100% - 10px);
  border-radius: 5px;
}

.top-icon {
  height: 40px;
  width: 40px;
  border-radius: 50%;
}

.badge-icon {
  height: 30px;
  width: 30px;
  border-radius: 50%;
}

.icon-guardian {
  height: 55px;
  width: 55px;
  border-radius: 50%;
}

.tab-container {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  width: 100%;
  /* padding-top: 10px; */
}

.tab-container.active {
  display: flex;
}

#cilent-panal-frame {
  width: 100%;
  height: 100%;
}

/* #fb-login-btn {
    display: none;
  } */
#profile-tab {
  justify-content: flex-start;
}

.profile-name-tag {
  margin-top: 50px;
  position: relative;
  font-size: calc(.5vw + 1.5rem);
  font-weight: bold;
  padding: 0 .5rem 0 60px;
  background: rgba(255, 255, 255, .1);
  border-radius: 10px;
  margin-bottom: .7rem;
}

#user-avatar {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  border: 2px solid grey;
  position: absolute;
  top: 50%;
  left: -10px;
  transform: translateY(-50%);
}

.profile-title {
  position: absolute;
  left: -30px;
  bottom: 37px;
}

#profile-icon-title {
  width: 40px;
}

.profile-title-tag {
  position: absolute;
  top: 50%;
  left: 35px;
  padding: 0 .5rem;
  background: rgba(0, 0, 0, .1);
  color: white;
  font-size: 16px;
  transform: translateY(-50%);
  border-radius: 7px;
}

.exp-bar-line {
  display: flex;
  width: 80%;
  max-width: 450px;
  align-items: center;
  gap: .5rem;
  color: #43BFC1;
}

.profile-exp-bar {
  border: .5px solid #43BFC1;
  background: white;
  height: 12px;
  flex-grow: 1;
  overflow: hidden;
  border-radius: 6px;
}

#exp-bar-filler {
  background: #43BFC1;
  height: inherit;
  width: 10%;
}

.profile-currency-line {
  display: grid;
  grid-template-columns: auto auto;
  column-gap: .5rem;
}

.currency-box {
  display: flex;
  align-items: center;
}

.currency-box> :last-child {
  flex-grow: 1;
  background-color: rgba(255, 255, 255, 0.1);
  color: gold;
  padding: 0 .5rem;
  font-size: 24px;
  font-weight: bold;
  min-width: 60px;
  text-align: right;
}

.currency-icon {
  height: 50px;
  width: 50px;
}

.currency-icon>img {
  width: inherit;
  height: inherit;
}

#gift-tab.active {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: unset;
}

#pills-tabContent {
  height: -webkit-fill-available;
}

.tab-pane {
  height: 100%;
}

.sticker-container {
  display: block;
  overflow: auto;
  height: 100%;
}

.sticker-tab {
  display: grid;
  grid-template-columns: auto auto auto;
  gap: .5em;
  align-self: center;
}

.btn-gift {
  cursor: pointer;
  height: 8vh;
  width: auto;
}

.btn-gift img {
  height: 100%;
}

.nav-link.stk-pill {
  color: lightblue;
  font-weight: bold;
  font-size: calc(.5vw + 1.3rem);
}

.nav-link.stk-pill.active {
  background-color: transparent;
  text-decoration: underline;
  pointer-events: none;
}

/* .btn-icon-promotion>img {
  width: 75px;
  cursor: pointer;
} */
#mute-unmute-button {
  position: fixed;
  top: 1em;
  right: 1em;
  z-index: 10;
  border-radius: 50%;
  height: 40px;
  width: 40px;
  background-image: url("../assets/images/onfleek/btn-normal.png");
  background-position: center;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  color: #43BFC1;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: .3s;
  display: none;
}

#mute-unmute-button.active {
  color: white;
  background-image: url("../assets/images/onfleek/btn-hover.png");
  opacity: .8;
  display: flex;
}

/* #player * {
    pointer-events: none;
  } */
@media screen and (orientation: landscape) {
  .content-tab {
    max-height: 30vh;
  }

  #area-chat {
    max-width: 40vw;
  }
}
